// creator  : weidu.exe (version 23100)
// argument : _DELTAN.DLG
// game		 : .
// source	 : ./override/_DELTAN.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_DELTAN~

IF ~NumberOfTimesTalkedTo(0)
Global("HelpEltan","GLOBAL",0)
~ THEN BEGIN 0 // from:
  SAY #74460 /* ~I am glad to see that you have come.  I know that such a meeting is unusual, but in these circumstances it is necessary.  I would first ask what involvement you have had with the merchant society known as the Iron Throne?~ */
  IF ~~ THEN REPLY #74461 /* ~Iron Throne?  Who are they?~ */ GOTO 2
  IF ~~ THEN REPLY #74462 /* ~We've learned that they're involved in a plot that threatens the stability of your city.~ */ GOTO 4
  IF ~~ THEN REPLY #74463 /* ~We won't answer that question.~ */ GOTO 1
  IF ~Global("X#GarEltan","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarEltan","GLOBAL",1)~ EXTERN ~_GARRIJ~ 60
END

IF ~~ THEN BEGIN 1 // from: 18.2 0.2
  SAY #74464 /* ~Perhaps I should reiterate myself:  I command you to tell me what your involvement with the Iron Throne is.~ */
  IF ~~ THEN REPLY #74465 /* ~You can command all that you like, you old fart.~ */ GOTO 3
  IF ~~ THEN REPLY #74466 /* ~Okay, we've learned that they're involved in some sort of plot to disrupt the status quo of the Sword Coast.~ */ GOTO 4
  IF ~Global("X#VicEltan","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicEltan","GLOBAL",1)~ EXTERN ~_VICONJ~ 93
END

IF ~~ THEN BEGIN 2 // from: 18.0 0.0
  SAY #74467 /* ~Don't insult my intelligence with your lies.  What is your involvement with the Iron Throne?~ */
  IF ~~ THEN REPLY #74468 /* ~We weren't lying, old man.~ */ GOTO 3
  IF ~~ THEN REPLY #74469 /* ~Sorry about that, we just don't know who to trust anymore.  From what we've learned about the Iron Throne, it would seem that they're involved in a plot to destroy the status quo of the Sword Coast.~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 5.0 2.0 1.0
  SAY #74470 /* ~Don't force me to do something that I'll regret.  You already know too much for me to just let you go. You WILL die if you do not tell me what I want to know. You have no option here.~ */
  IF ~~ THEN REPLY #74471 /* ~Stuff it up your butt, old man.~ */ DO ~ForceSpell(Player1,SAREVOK_STRIKE)
Wait(2)
Kill(Player1)
~ EXIT
  IF ~~ THEN REPLY #74472 /* ~Sorry, we've been under a lot of pressure lately, and sometimes it affects our judgement.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 18.1 3.1 2.1 1.1 0.1
  SAY #74473 /* ~From what I have been told, you have been quite a thorn in the side of the Iron Throne.  I'm interested in you, because of the obvious hatred that they hold for you.  Their recent activities have been brought to my attention, and I am very dubious about the intent of the Throne.  I think it is far too easy to blame the recent caravan raids and iron shortage on the Zhentarim.  Though the evidence does point to them, they do not have much to profit, while the Iron Throne has everything to gain.  I have much to concern me right now, especially with tension rising between our city and the nation of Amn.  Unfortunately my hands are tied; I can't act against the Iron Throne until I have hard evidence of their wrong doing.  That's of course, where you come in.  I need a small group of spies to break into the Iron Throne headquarters and see if they can find any proof of the Throne's involvement with the caravan raids.  If you do this for me you'll be paid extremely well; 2,000 gold to divide among yourselves.  What is your answer?~ */
  IF ~~ THEN REPLY #74474 /* ~We don't feel up to this kind of subterfuge, sorry.~ */ GOTO 5
  IF ~~ THEN REPLY #74475 /* ~2,000 gold?!? Consider us hired!~ */ GOTO 6
  IF ~Global("X#QuaEltan","GLOBAL",0)
InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#QuaEltan","GLOBAL",1)~ EXTERN ~_QUAYLJ~ 29
END

IF ~~ THEN BEGIN 5 // from: 19.0 7.1 4.0
  SAY #74476 /* ~I'm sorry to hear that.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 6 // from: 19.1 4.1
  SAY #74477 /* ~You have made a wise decision.  It is a difficult mission that I give you, but I am sure that you have the wherewithal to make it through.  Return and report to me once you feel you have enough information to use against the Iron Throne.~ */
  IF ~ReputationGT(LastTalkedToBy,5)
~ THEN REPLY #74478 /* ~We'll be back as soon as possible.~ */ DO ~SetGlobal("SHITNUTS","GLOBAL",1)
SetGlobal("HelpEltan","GLOBAL",1)
ActionOverride("scar",EscapeArea())
~ UNSOLVED_JOURNAL #74479 /* ~Investigating the Iron Throne

We have agreed to go on a mission for Duke Eltan.  We are to infiltrate the Iron Throne headquarters here in Baldur's Gate.~ */ EXIT
  IF ~ReputationLT(LastTalkedToBy,6)
~ THEN REPLY #74480 /* ~We'll be back soon, but could you call off your men, they've been causing us no end of grief.~ */ GOTO 16
END

IF ~Global("HelpEltan","GLOBAL",1)
~ THEN BEGIN 7 // from:
  SAY #74481 /* ~I am glad to have you back.  So, what have you learned so far?~ */
  IF ~~ THEN REPLY #74482 /* ~We didn't learn anything.~ */ GOTO 8
  IF ~~ THEN REPLY #74483 /* ~We came here to tell you that we no longer wish to work for you.~ */ GOTO 5
  IF ~PartyHasItem("_SCRL3C")
~ THEN REPLY #74484 /* ~We didn't find any incriminating evidence, but we did learn that the leaders of the Iron Throne are in Candlekeep.~ */ GOTO 10
  IF ~Global("SearchIronThrone","GLOBAL",1)
~ THEN REPLY #74486 /* ~We know that any incriminating evidence would be found with Rieltar, the overall leader of the Iron Throne in Baldur's Gate.  He's currently supposed to be at Candlekeep on some sort of business.~ */ GOTO 11
  IF ~~ THEN REPLY #74487 /* ~We have a few more things to do in the city.  Once we're finished, we'll come back and finish things up with the Iron Throne.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #74488 /* ~What are you doing here!  Go back to the Iron Throne estate and learn as much as you can!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #74489 /* ~Go back to the Iron Throne headquarters and learn where he's gone.  Scar!  Escort them out of the palace.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 7.2
  SAY #74490 /* ~I think the best course of action would be to follow these leaders to Candlekeep.  Whatever they have planned must not bode well for any of us, especially if they need the privacy of Candlekeep.  Go now, and make haste to Candlekeep.  Take this book.  It must be given to the Keeper of the Portal, otherwise you will not be let into the library.  Here also is the reward money that I had promised you.~ */
  IF ~~ THEN DO ~GiveGoldForce(2000)
GiveItem("_BOOK68",LastTalkedToBy)
SetGlobal("HelpEltan","GLOBAL",2)
SetGlobal("MACStartChapter6","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 7.3
  SAY #79067 /* ~Then there is only one thing to do: travel to Candlekeep and learn what they're doing there, whatever it is, it can't bode well for the fortunes of this city.  Take this book.  Without it, the Keeper of the Portal won't allow you entrance into the library.  Here also is the reward money that I had promised you.~ */
  IF ~~ THEN DO ~GiveGoldForce(2000)
GiveItem("_BOOK68",LastTalkedToBy)
SetGlobal("HelpEltan","GLOBAL",2)
SetGlobal("MACStartChapter6","GLOBAL",1)
~ EXIT
END

IF ~False()
~ THEN BEGIN 12 // from:
  SAY #79068 /* ~I am again in your debt.  That creature has kept me helpless for too long.  Perhaps if I hadn't been incapacitated I might have been able to prevent Scar's death. -cough- Angelo will soon hear of my recovery.  It is important that you take me away from here; I'm sure Angelo won't want me coherent and among the living.  Take me to the Harbormaster's building.  The Harbormaster is a good friend of mine.  I can rest there until I'm fully recovered. Take anything you can from Rashad's body, we must make haste.~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC55",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
  IF ~Global("X#AjantisHelpEltan","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisHelpEltan","GLOBAL",1)~ EXTERN ~_AJANTJ~ 76
END

IF ~False()
~ THEN BEGIN 13 // from:
  SAY #74452 /* ~I should be safe here; in the mean time, you have quite the task ahead of you.  If I'm right, the Iron Throne is going to stage a coup.  You're the only ones who'll be able to stop them.~ */
  IF ~~ THEN DO ~SetGlobal("EltanMove","GLOBAL",2)
~ EXIT
END

IF ~True()
~ THEN BEGIN 14 // from:
  SAY #74453 /* ~What are you still doing here?  You have much to do, hurry!~ */
  IF ~~ THEN EXIT
END

IF ~False()
~ THEN BEGIN 15 // from:
  SAY #79070 /* ~I'm too weak... you're going to have to carry me.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 16 // from: 6.1
  SAY #79071 /* ~I can't do that.  Most of my men don't even know that I've hired criminals.  You're going to have to do this on your own, sorry.~ */
  IF ~~ THEN DO ~SetGlobal("SHITNUTS","GLOBAL",1)
SetGlobal("HelpEltan","GLOBAL",1)
ActionOverride("scar",EscapeArea())
~ UNSOLVED_JOURNAL #74479 /* ~Investigating the Iron Throne

We have agreed to go on a mission for Duke Eltan.  We are to infiltrate the Iron Throne headquarters here in Baldur's Gate.~ */ EXIT
END

IF ~~ THEN BEGIN 17 // from: _AJANTJ:76.1
  SAY #99471 /* ~Thank you. If you succeed, Baldur's Gate will be in your debt.~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC55",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 18 // from:
  SAY #100087 /* ~Indeed, that would be in your own interests.~ */
  IF ~~ THEN REPLY #74461 /* ~Iron Throne?  Who are they?~ */ GOTO 2
  IF ~~ THEN REPLY #74462 /* ~We've learned that they're involved in a plot that threatens the stability of your city.~ */ GOTO 4
  IF ~~ THEN REPLY #74463 /* ~We won't answer that question.~ */ GOTO 1
END

IF ~~ THEN BEGIN 19 // from:
  SAY #100842 /* ~I am short on time. Will you take the assignment?~ */
  IF ~~ THEN REPLY #74474 /* ~We don't feel up to this kind of subterfuge, sorry.~ */ GOTO 5
  IF ~~ THEN REPLY #74475 /* ~2,000 gold?!? Consider us hired!~ */ GOTO 6
END
